<html devsite><head>
    <title>供应商测试套件 (VTS) 和基础架构</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>Android 供应商测试套件 (VTS) 提供了大量用于 Android 测试的新功能，对由测试驱动的开发流程起到了促进作用。为帮助 Android 开发社区与测试数据进行交互，Android O 提供了以下测试资源：</p>
<ul>
<li><a href="/devices/tech/test_infra/tradefed/fundamentals/vts.html">使用 VTS 进行系统测试</a>。介绍如何使用 VTS 来测试 Android 原生系统的实现情况、设置测试环境，然后使用 VTS 方案来测试补丁程序。</li>
<li><strong>VTS 信息中心</strong>。基于网页的界面，用于查看 VTS 结果，具体包括：<ul>
 <li><a href="/devices/tech/vts/database.html">信息中心数据库</a>。一个可为持续集成信息中心提供支持的可扩展后端。</li>
 <li><a href="/devices/tech/vts/ui.html">信息中心界面</a>。一个利用 Material Design 有效显示与测试结果、分析和覆盖率相关的信息的统一界面。</li>
 <li><a href="/devices/tech/vts/setup.html">信息中心设置</a>。有关如何设置和配置 VTS 信息中心的说明。</li>
 </ul>
</li>
<li><a href="/devices/tech/vts/performance.html">binder 和 hwbinder 性能测试</a>。用于衡量吞吐量和延迟的工具。</li>
</ul>

<p>如需了解详情，请参阅 developer.android.com 上的 <a href="https://codelabs.developers.google.com/codelabs/android-vts/#0" class="external">Android VTS v8.0 Codelab</a> 和 Google Developers 提供的 <a href="https://www.youtube.com/watch?v=7BX7oSHc7nk&list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva" class="external">Android VTS 产品视频</a>。</p>

</body></html>